import 'package:event_bus/event_bus.dart';
import 'package:get_it/get_it.dart';
import 'package:logger/logger.dart';
import 'package:realwear_voice_command/core/method_channel_handler.dart';
import 'package:realwear_voice_command/core/voice_command_manager.dart';
import 'package:realwear_voice_command/widgets/draggable/voice_draggable_widget_model.dart';
import 'package:realwear_voice_command/widgets/voice_command_widget_model.dart';
import 'package:uuid/uuid.dart';

final realwearVoiceCommandInjector = GetIt.asNewInstance();

void setupRealWearVoiceCommandInjector({
  required Logger logger,
}) {
  final i = realwearVoiceCommandInjector;

  // Helpers
  i.registerLazySingleton(() => logger);
  i.registerLazySingleton(() => EventBus());
  i.registerLazySingleton(() => const Uuid());
  i.registerLazySingleton(() => MethodChannelHandler(i(), i()));
  i.registerLazySingleton(() => VoiceCommandManager(i()));

  // UI
  i.registerFactory(() => VoiceCommandWidgetModel(i(), i()));
  i.registerFactory(() => VoiceDraggableWidgetModel(i(), i()));
}
