import 'package:realwear_voice_command/core/method_channel_handler.dart';
import 'package:realwear_voice_command/models/voice_command.dart';

class VoiceCommandManager {
  final _activeCommands = <VoiceCommand>{};

  final MethodChannelHandler _methodChannelHandler;

  VoiceCommandManager(this._methodChannelHandler);

  void add(Set<VoiceCommand> commands) {
    _activeCommands.addAll(commands);
    _methodChannelHandler.setCommands(_activeCommands);
  }

  void remove(Set<VoiceCommand> commands) {
    _activeCommands.removeAll(commands);
    _methodChannelHandler.setCommands(_activeCommands);
  }

  Set<VoiceCommand> fromValue(String value) {
    return _activeCommands.where((e) => e.value == value).toSet();
  }
}
