import 'package:flutter/cupertino.dart';
import 'package:realwear_voice_command/core/injector.dart';
import 'package:uuid/uuid.dart';

@immutable
class VoiceCommand {
  late final String id;
  late final String value;

  VoiceCommand({
    required String value,
  }) {
    id = realwearVoiceCommandInjector<Uuid>().v4();
    this.value = value.toUpperCase();
  }

  @override
  bool operator ==(Object other) => identical(this, other) || other is VoiceCommand && runtimeType == other.runtimeType && id == other.id;

  @override
  int get hashCode => id.hashCode;

  @override
  String toString() {
    return 'VoiceCommand{id: $id, value: $value}';
  }
}
